Paycose Docs
Accounts
GET/accounts/{id}

Retrieve Wallet Accounts

Responses: 200

Generated from the code contract; no hand-written description yet.

Request

Example

curl -X GET 'https://api.paycose.com/api/v1/app1/platform/wallet/accounts/{{id}}'

Responses

200200 OK

Headers

NameValue
Content-Typeapplication/json

Body

{
  "livemode": false,
  "id": "<string>",
  "object": "<string>",
  "type": "<string>",
  "parent_account": "<string>",
  "customer": "<string>",
  "status": "<string>",
  "display_name": "<string>",
  "metadata": "<Metadata>",
  "labels": "<core.Labels>",
  "fee_collection": "<string>",
  "created_at": "<RFC3339 timestamp>",
  "updated_at": "<RFC3339 timestamp>",
  "balance": {
    "object": "<string>",
    "available": [
      {
        "amount": 0,
        "currency": "<string>",
        "scaling_factor": 0
      }
    ],
    "pending": [
      {
        "amount": 0,
        "currency": "<string>",
        "scaling_factor": 0
      }
    ],
    "reserved": [
      {
        "amount": 0,
        "currency": "<string>",
        "scaling_factor": 0
      }
    ],
    "held": [
      {
        "amount": 0,
        "currency": "<string>",
        "scaling_factor": 0
      }
    ],
    "owed": [
      {
        "amount": 0,
        "currency": "<string>",
        "scaling_factor": 0
      }
    ],
    "owed_to_connected": [
      {
        "amount": 0,
        "currency": "<string>",
        "scaling_factor": 0
      }
    ]
  }
}

On this page